org.apache.hadoop.hdfs.server.namenode

## Class INodeDirectoryAttributes.CopyWithQuota

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.INodeAttributes.SnapshotCopy
  - - org.apache.hadoop.hdfs.server.namenode.INodeDirectoryAttributes.SnapshotCopy
    - - org.apache.hadoop.hdfs.server.namenode.INodeDirectoryAttributes.CopyWithQuota

- All Implemented Interfaces:
    org.apache.hadoop.hdfs.server.namenode.INodeAttributes, org.apache.hadoop.hdfs.server.namenode.INodeDirectoryAttributes
  Enclosing interface:
    org.apache.hadoop.hdfs.server.namenode.INodeDirectoryAttributes

      public static class INodeDirectoryAttributes.CopyWithQuota
      extends INodeDirectoryAttributes.SnapshotCopy

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.hdfs.server.namenode.INodeDirectoryAttributes

      `INodeDirectoryAttributes.CopyWithQuota, INodeDirectoryAttributes.SnapshotCopy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CopyWithQuota(byte[] name, org.apache.hadoop.fs.permission.PermissionStatus permissions, org.apache.hadoop.hdfs.server.namenode.AclFeature aclFeature, long modificationTime, long nsQuota, long dsQuota, EnumCounters<org.apache.hadoop.fs.StorageType> typeQuotas, org.apache.hadoop.hdfs.server.namenode.XAttrFeature xAttrsFeature)`
    `CopyWithQuota(INodeDirectory dir)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QuotaCounts` | `getQuotaCounts()`

    - ### Methods inherited from class org.apache.hadoop.hdfs.server.namenode.INodeDirectoryAttributes.SnapshotCopy

      `isDirectory, metadataEquals`

    - ### Methods inherited from class org.apache.hadoop.hdfs.server.namenode.INodeAttributes.SnapshotCopy

      `getAccessTime, getAclFeature, getFsPermission, getFsPermissionShort, getGroupName, getLocalNameBytes, getModificationTime, getPermissionLong, getUserName, getXAttrFeature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.hdfs.server.namenode.INodeAttributes

      `getAccessTime, getAclFeature, getFsPermission, getFsPermissionShort, getGroupName, getLocalNameBytes, getModificationTime, getPermissionLong, getUserName, getXAttrFeature`

- - ### Constructor Detail

    - #### CopyWithQuota

          public CopyWithQuota(byte[] name,
                               org.apache.hadoop.fs.permission.PermissionStatus permissions,
                               org.apache.hadoop.hdfs.server.namenode.AclFeature aclFeature,
                               long modificationTime,
                               long nsQuota,
                               long dsQuota,
                               EnumCounters<org.apache.hadoop.fs.StorageType> typeQuotas,
                               org.apache.hadoop.hdfs.server.namenode.XAttrFeature xAttrsFeature)

    - #### CopyWithQuota

          public CopyWithQuota(INodeDirectory dir)

  - ### Method Detail

    - #### getQuotaCounts

          public QuotaCounts getQuotaCounts()

      Specified by:
        `getQuotaCounts` in interface `org.apache.hadoop.hdfs.server.namenode.INodeDirectoryAttributes`
      Overrides:
        `getQuotaCounts` in class `INodeDirectoryAttributes.SnapshotCopy`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.